<?php
/**
 * File for uninstalling plugin.
 * Unistalls the option name.
 * Do not call this file directly.
 *
 * @package wpsc.
 */

// if uninstall.php is not called by WordPress, die.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	wp_die( "<h2 style='color:red'>Plugin Error - WP Smart Content</h2><p>Do not call this file directly. Uninstall from plugin administrator screen.</p>" );
} else {
	global $wpdb;

	// Only administrator can Uninstall.
	if ( current_user_can( 'manage_options' ) ) {
		get_option( 'wpsc_field_name' );
		get_option( 'wpsc_field_content' );
		get_option( 'wpsc_field_where' );
		get_option( 'wpsc_field_posts' );

		$rows = $wpdb->get_results( "DELETE FROM {$wpdb->prefix}posts WHERE post_type='wp_smart_content' AND post_status IN ('draft', 'publish')" );
	}
}
